import request from '@/utils/request'

// 查询微信消息模板列表
export function listTemplate(query) {
  return request({
    url: '/wechat/template/list',
    method: 'get',
    params: query
  })
}

// 查询微信消息模板详细
export function getTemplate(uid) {
  return request({
    url: '/wechat/template/' + uid,
    method: 'get'
  })
}

// 新增微信消息模板
export function addTemplate(data) {
  return request({
    url: '/wechat/template',
    method: 'post',
    data: data
  })
}

// 修改微信消息模板
export function updateTemplate(data) {
  return request({
    url: '/wechat/template',
    method: 'put',
    data: data
  })
}

// 删除微信消息模板
export function delTemplate(uid) {
  return request({
    url: '/wechat/template/' + uid,
    method: 'delete'
  })
}
